
Redmine - Defect #8565

JRuby: Japanese PDF export error

2011-06-08 15:11 - Toshi MARUYAMA

Status: Closed Start date: 2011-06-08

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.2.1   

Resolution: Fixed Affected version: 1.2.0

Description

Iconv::InvalidEncoding in IssuesController#index

invalid encoding

org/jruby/RubyIconv.java:236:in `initialize'

/REDMINE-1/hg-workdir/hg-bb-work/lib/redmine/export/pdf.rb:40:in `initialize'

/REDMINE-1/hg-workdir/hg-bb-work/lib/redmine/export/pdf.rb:125:in `issues_to_pdf'

/REDMINE-1/hg-workdir/hg-bb-work/app/controllers/issues_controller.rb:95:in `index'

/REDMINE-1/hg-workdir/hg-bb-work/app/controllers/issues_controller.rb:90:in `index'

Related issues:

Related to Redmine - Defect #61: Broken character encoding in pdf export Closed

Associated revisions

Revision 6010 - 2011-06-08 15:44 - Toshi MARUYAMA

PDF: add SJIS and Shift_JIS in lib/redmine/export/pdf.rb for Japanese ja.yml general_pdf_encoding (#8565, #61).

JRuby 1.6.2 (ruby-1.8.7-p330) does not support CP932.

Revision 6011 - 2011-06-08 15:44 - Toshi MARUYAMA

PDF: add Japanese comment of ja.yml general_pdf_encoding CP932 and SJIS in JRuby and CRuby (#8565, #61).

Revision 6012 - 2011-06-08 16:39 - Toshi MARUYAMA

PDF: change Shift_JIS to SHIFT_JIS in lib/redmine/export/pdf.rb for Japanese ja.yml general_pdf_encoding (#8565, #61).

Revision 6013 - 2011-06-08 17:15 - Toshi MARUYAMA

PDF: use SJIS instead of CP932 at unit pdf test_fix_text_encoding_nil in JRuby (#8565, #61).

Revision 6015 - 2011-06-09 01:53 - Toshi MARUYAMA

Merged r6011 from trunk.

PDF: add Japanese comment of ja.yml general_pdf_encoding CP932 and SJIS in JRuby and CRuby (#8565, #61).

Revision 6022 - 2011-06-09 03:56 - Toshi MARUYAMA

PDF: use SJIS instead of CP932 at unit pdf test test_rdm_pdf_iconv_cannot_convert_ja_cp932 in JRuby (#8565, #61).

Revision 6023 - 2011-06-09 03:57 - Toshi MARUYAMA

PDF: use SJIS instead of CP932 at unit pdf test test_rdm_pdf_iconv_invalid_utf8_should_be_replaced_ja in JRuby (#8565, #61).

History

#1 - 2011-06-08 15:13 - Toshi MARUYAMA

The reason is JRuby Iconv does not support CP932.

#2 - 2011-06-09 00:54 - Toshi MARUYAMA

- Target version deleted (1.2.1)
#3 - 2011-06-10 02:23 - Toshi MARUYAMA

- Target version set to 1.2.1

#4 - 2011-06-10 05:36 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk and 1.2-stable.
